
QGIS Application - Bug report #5768

Legend: Show Feature Count not working for Rule-Based Layers

2012-06-08 05:22 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15269

Description

In the legend tree in the Layers panel one can activate the "Show Feature Count". For rule-based layers, it does not work and only zero

values are displayed.

Associated revisions

Revision 558245c8 - 2012-10-25 06:45 PM - Radim Blazek

count features in legend for rule based renderer, fixes #5768

History

#1 - 2012-07-06 02:59 AM - Regis Haubourg

Confirmed for me on every version I have tested (from 1.7.4 to current master).

#2 - 2012-09-04 12:06 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2012-10-25 09:45 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"558245c8ba33488815fdc74ed83f0781910e8f90".

#4 - 2012-10-25 09:56 AM - Radim Blazek

- Resolution set to fixed

Fixed in master.

Attention: one feature may fall into more rules and thus it may be counted more times and total will not be equal to total number of features!

Work done by Faunalia for Agence de l'eau Adour Garonne.
